View Issue Details

IDProjectCategoryView StatusLast Update
0004157libextractorlibextractor main librarypublic2017-10-12 14:07
ReporterbudmAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04.3 LTS
Product Version1.3 
Target Version1.3Fixed in Version1.3 
Summary0004157: EXTRACTOR_METATYPE_CREATION_TIME epoch used is 1904
DescriptionSome files appear to use 1904 as the epoch for EXTRACTOR_METATYPE_CREATION_TIME. In this case, the date is 66 years behind the correct date. The file tested was a 3gp file, with the video taken in 2013. I worked around this in my code by testing if the year was less than 1970 and adding 66 years if so.
Steps To ReproduceTest various 3gp files until one is found that has a 1904 epoch.
Additional InformationKeywords for file tmp/7028c115056011d6f7078c9b0bb46290.3gp:
duration - 0:00:02.856000000
mimetype - application/x-3gp
unknown - profile=basic
mimetype - audio/mpeg
unknown - mpegversion=4
unknown - framed=true
unknown - stream-format=raw
unknown - level=2
unknown - base-profile=lc
unknown - profile=lc
creation time - 1947-11-28T20:07:40+0100
container format - ISO MP4/M4A
audio codec - MPEG-4 AAC audio
audio language - en
channels - 2
sample rate - 44100
audio depth - 32
audio bitrate - 96000
maximum audio bitrate - 96000
mimetype - video/x-h264
unknown - stream-format=avc
unknown - alignment=au
unknown - level=3.1
unknown - profile=constrained-baseline
creation time - 1947-11-28T20:07:40+0100
container format - ISO MP4/M4A
video codec - H.264 / AVC
video language - en
video dimensions - 544x960
frame rate - 5000/251
pixel aspect ratio - 1/1
video bitrate - 4220708
TagsNo tags attached.

Activities

Christian Grothoff

2016-01-26 18:03

manager   ~0010103

Interesting. Are you able to share a file for testing? PM to christian@grothoff.org would suffice.

Christian Grothoff

2016-01-27 12:42

manager   ~0010105

I've tracked this one to a call to GStreamer, where GStreamer returns the time attribute as a GValue (GtkObject) and we call
"gst_value_serialize" to get the string representation. At that time, (approx. gstreamer_extractor.c:1455) the year is wrong. So the bug is actually in gstreamer, not in libextractor...

Christian Grothoff

2016-01-27 12:43

manager   ~0010106

Setting to 'non-fixable', as this must be fixed in gstreamer.

Issue History

Date Modified Username Field Change
2016-01-26 15:26 budm New Issue
2016-01-26 18:03 Christian Grothoff Note Added: 0010103
2016-01-27 12:42 Christian Grothoff Note Added: 0010105
2016-01-27 12:43 Christian Grothoff Note Added: 0010106
2016-01-27 12:43 Christian Grothoff Assigned To => Christian Grothoff
2016-01-27 12:43 Christian Grothoff Status new => resolved
2016-01-27 12:43 Christian Grothoff Resolution open => not fixable
2016-01-27 12:43 Christian Grothoff Fixed in Version => 1.3
2016-01-27 12:43 Christian Grothoff Target Version => 1.3
2017-10-12 14:07 Christian Grothoff Status resolved => closed
2017-10-12 14:07 Christian Grothoff Resolution not fixable => fixed